# DBM - Season of Discovery, Vanilla, and TBC

## [r720](https://github.com/DeadlyBossMods/DBM-BCVanilla/tree/r720) (2024-04-22)
[Full Changelog](https://github.com/DeadlyBossMods/DBM-BCVanilla/compare/r718...r720) [Previous Releases](https://github.com/DeadlyBossMods/DBM-BCVanilla/releases)

- Fix luaLS errors in multiple files (most of which fake, due to mod name conflicts with other repos, solced by custom naming classic versions of naxx, world bosses, and onyxia to not conflict with wrath versions when running multi repo LuaLS)  
- Disable some slow or annoying LuaLS checks  
    This is consistent with the CI checks  
- Fix broken special warning sounds  
- Sunken temple updates (#135)  
- Update localization.kr.lua (#134)  
- Remove deprecated  
- Update README.md  
- JammalanAndOgam: add support for the other rotation  
- DreamscytheAndWeaver: Fix spell ID used for localization of Wing Buffet  
- Hakkar: disable skeleton warning by default  
    It doesn't provide much value, if anything it's only useful for healers,  
    but it's not like any healer can remember the names, this is something  
    that needs to be handled by raid frames.  
- Eranikus: use only airhorn sound for Waking Nightmare  
    This warnings really needs to grab your attention because if you ignore  
    it you die.  
- Atal'ai Defenders: fix icon setting on ghosts  
- Atal'ai Defenders: add special warnings for thorns  
- Fix thorns warning to actually say thorns  
- Update localization.br.lua (#132)  
- Update localization.fr.lua (#131)  
- Update koKR (Vanilla) (#128)  
- Update localization.es.lua (#129)  
- Update localization.mx.lua (#130)  
- meant to push this. just some voiced phase changes  
- we typically don't use 2 back to back airhorns like this. Plus generalized move messages are almost always sound 1 for GTFOs. Reserve the big emphasized sound for the attack that actually one shots you.  
    This however in this case, since not everyone is standingin a cloud and since it's not personalized (it's on cast not on damage or applied) it isn't a GTFO either. it's more of a dodge/watch your step  
    This leaves the most accurate warning type to be a type 2 aoe dodge message. Warning level 2 also isn't already used on this fight either which further diversifies non voiced sound selection.  
    So with all above in mind, set Deep Slumber to an aoe dodge ("watch your step")  warning  
